Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkBrownianPoints Class Reference

`#include <vtkBrownianPoints.h>`

Inheritance diagram for vtkBrownianPoints:

[legend]
Collaboration diagram for vtkBrownianPoints:

[legend]
List of all members.

## Detailed Description

assign random vector to points

Date:
  2002/01/22 15:29:08

Revision:
  1.31

vtkBrownianPoints is a filter object that assigns a random vector (i.e., magnitude and direction) to each point. The minimum and maximum speed values can be controlled by the user.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (56%)
  - Martin, Ken (19%)
  - Miller, Jim (6%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkBrownianPoints.h)`
  - .`cxx` (`/Graphics/vtkBrownianPoints.cxx)`

Tests:
  vtkBrownianPoints (Tests)

Definition at line 48 of file vtkBrownianPoints.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetMinimumSpeed (float)
virtual float | GetMinimumSpeed ()
virtual void | SetMaximumSpeed (float)
virtual float | GetMaximumSpeed ()
## Static Public Methods
vtkBrownianPoints * | New ()
int | IsTypeOf (const char *type)
vtkBrownianPoints * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkBrownianPoints ()
| ~vtkBrownianPoints ()
void | Execute ()
## Protected Attributes
float | MinimumSpeed
float | MaximumSpeed

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkBrownianPoints::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 54 of file vtkBrownianPoints.h.

## Constructor & Destructor Documentation

vtkBrownianPoints::vtkBrownianPoints | ( |  | ) | `[protected]`

vtkBrownianPoints::~vtkBrownianPoints | ( |  | ) | `[inline, protected]`

| Definition at line 71 of file vtkBrownianPoints.h.

## Member Function Documentation

vtkBrownianPoints* vtkBrownianPoints::New | ( |  | ) | `[static]`

| Create instance with minimum speed 0.0, maximum speed 1.0. Reimplemented from vtkObject.

virtual const char* vtkBrownianPoints::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkBrownianPoints::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkBrownianPoints::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkBrownianPoints* vtkBrownianPoints::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkBrownianPoints::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

virtual void vtkBrownianPoints::SetMinimumSpeed | ( | float |  | ) | `[virtual]`

| Set the minimum speed value.

virtual float vtkBrownianPoints::GetMinimumSpeed | ( |  | ) | `[virtual]`

| Set the minimum speed value.

virtual void vtkBrownianPoints::SetMaximumSpeed | ( | float |  | ) | `[virtual]`

| Set the maximum speed value.

virtual float vtkBrownianPoints::GetMaximumSpeed | ( |  | ) | `[virtual]`

| Set the maximum speed value.

void vtkBrownianPoints::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkBrownianPoints::MinimumSpeed`[protected]`

| Definition at line 74 of file vtkBrownianPoints.h.

float vtkBrownianPoints::MaximumSpeed`[protected]`

| Definition at line 75 of file vtkBrownianPoints.h.

The documentation for this class was generated from the following file:

- Graphics/vtkBrownianPoints.h